set form_def {
  GuidoForm form {
    -label "GuidoField Form"
    -default_buttons

    GuidoField bearing {
      -label "Enter a bearing"
      -format float
      -width 10
      -low_bound 0
      -high_bound 360
      -null false
    }
  }
}
SclCreateGuidoForm form_handle $form_def {}
$form_handle SclRun {}

if {$bearing > 45 && $bearing <= 135} then {
  puts "The direction is East"
}
